package com.brilliance.isc.common.api.fee.service;


import com.brilliance.isc.common.api.fee.vo.FeeDetailRequestVo;
import com.brilliance.isc.common.api.fee.vo.FeeDetailResponseVo;
import com.brilliance.isc.common.fecism.vo.CalcFeeResponse;
import com.brilliance.isc.common.fecism.vo.CalcFeeVo;
import com.brilliance.isc.common.setfeg.vo.SetfelVo;

public interface FeeDetailApiService {

    FeeDetailResponseVo calcFeeDetail(FeeDetailRequestVo settleDetailRequestVo);

    CalcFeeResponse calcFeeamt(SetfelVo setfelVo);

    //费用计算工具
    CalcFeeVo calcFeeamt(CalcFeeVo calcFeeVo);

    //根据折扣比例计算费用
    CalcFeeVo calcFeeamtByDctrat(CalcFeeVo calcFeeVo);

    //根据费用计算折扣比例
    CalcFeeVo calcDctratByFeeamt(CalcFeeVo calcFeeVo);
}
